VeritasClusterAttrMapping (CMDB Model API)
Keywords: com.collation.platform.model.discovery.agent.VeritasClusterAttrMapping interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.discovery.agent
Interface VeritasClusterAttrMapping

All Superinterfaces:
  ModelObject, java.io.Serializable

    public interface VeritasClusterAttrMapping

extends ModelObject

Object containing data required for mapping attributes

Naming Rules:
  0="source,target"
Persistable:
  true
Table Name:
  VCSATTRMAP
Display Name:
  source

Method Summary
`java.lang.String` | `getSource()`
`java.lang.String` | `getTarget()`
`boolean` | `hasSource()`
`boolean` | `hasTarget()`
`void` | `setSource(java.lang.String source)`
`void` | `setTarget(java.lang.String target)`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getSource

    java.lang.String getSource()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSource

    void setSource(java.lang.String source)

### hasSource

    boolean hasSource()

### getTarget

    java.lang.String getTarget()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTarget

    void setTarget(java.lang.String target)

### hasTarget

    boolean hasTarget()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD